Name:           spice-xpi
Version:        2.5
Release:        3%{?dist}
Summary:        SPICE extension for Mozilla
Group:          Applications/Internet
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://spice-space.org
Source0:        http://spice-space.org/download/releases/%{name}-%{version}.tar.bz2

Patch0:         spice-xpi-01-connect.patch

BuildRequires:  libX11-devel
BuildRequires:  log4cpp-devel
BuildRequires:  xulrunner-devel
BuildRequires:  zip

# Spice has number of portability issues, which prevent it
# from working on any other platforms than x86.
ExclusiveArch:  x86_64 %{ix86}

Requires:       spice-client >= 0.4.2-18

%description
Spice extension for Mozilla allows the client to be used from a web browser.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1

%build

%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README
%defattr(-, root, root, -)
%{_libdir}/mozilla/*
%{_datadir}/spice/
%exclude %{_libdir}/mozilla/*.rdf
%exclude %{_libdir}/mozilla/plugins/*.a
%exclude %{_libdir}/mozilla/plugins/*.la

%changelog
* Tue Aug 30 2011 Peter Hatina <phatina@redhat.com> 2.5-3
- Fixed invalid socket descriptor on reconnect

* Tue Jun 07 2011 Peter Hatina <phatina@redhat.com> 2.5-2
- Fixed logging
- Fixed SpiceController::Connect
- Fixed compiler warnings

* Mon May 09 2011 Peter Hatina <phatina@redhat.com> 2.5-1
- Initial package

